commit 2aead3fdc151cf0fc5ec6563a59cc893307c518e
Author: Jeremy Harris <jgh146exb@wizmail.org>
Date:   Sat Dec 26 18:55:29 2020 +0000

    Fix build on GNU/Hurd [supports openat()].  Bug 2608
    
    (cherry picked from commit 5f4ca3541f228b0b9b880406e70342dea5a2a7a9)

diff --git a/src/OS/os.h-GNU b/src/OS/os.h-GNU
index 59130ef10..2c3b7b5f5 100644
--- a/src/OS/os.h-GNU
+++ b/src/OS/os.h-GNU
@@ -1,6 +1,8 @@
 /* Exim: OS-specific C header file for GNU/Hurd */
 /* Copyright (c) The Exim Maintainers 2020 */
 
+#include <features.h>
+
 #define CRYPT_H
 #define GLIBC_IP_OPTIONS
 #define HAVE_BSD_GETLOADAVG
@@ -25,4 +27,8 @@ typedef struct flock flock_t;
 as well as any supplementary groups*/
 #define OS_SETGROUPS_ZERO_DROPS_ALL
 
+#if _POSIX_C_SOURCE >= 200809L || _ATFILE_SOURCE
+# define EXIM_HAVE_OPENAT
+#endif
+
 /* End */

